%global pypi_name dtfabric
%global date 20190120

Name:           python-%{pypi_name}
Version:        0.0.%{date}
Release:        1%{?dist}
Summary:        A tool to manage data types and structures, as used by libyal

License:        ASL 2.0
URL:            https://github.com/libyal/dtfabric
Source0:        https://github.com/libyal/dtfabric/releases/download/%{version}/%{pypi_name}-%{date}.tar.gz
BuildArch:      noarch

%description
dtfabric is a project to manage data types and structures, as used in the
libyal projects.

%package -n python3-%{pypi_name}
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3-pyyaml
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
dtfabric is a project to manage data types and structures, as used in the
libyal projects.

%prep
%autosetup -n %{pypi_name}-%{date}

%build
%py3_build

%install
%py3_install
rm -rf %{buildroot}%{_defaultdocdir}/%{pypi_name}/*

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%doc ACKNOWLEDGEMENTS AUTHORS README
%license LICENSE
%{_bindir}/*.py
%{python3_sitelib}/*.egg-info
%{python3_sitelib}/%{pypi_name}/

%changelog
* Wed Jun 19 2019 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.20190120-1
- Update version (rhbz#1720890)

* Sat Jun 15 2019 Fabian Affolter <mail@fabian-affolter.ch> - 20190120-1
- Initial package for Fedora
